Package com.enonic.xp.export

## Class ExportNodesParams.Builder

- java.lang.Object
- - com.enonic.xp.export.ExportNodesParams.Builder

- Enclosing class:
    ExportNodesParams

      public static final class ExportNodesParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExportNodesParams` | `build()` |
    `ExportNodesParams.Builder` | `dryRun​(boolean dryRun)` |
    `ExportNodesParams.Builder` | `exportName​(String exportName)` |
    `ExportNodesParams.Builder` | `includeNodeIds​(boolean includeNodeIds)` |
    `ExportNodesParams.Builder` | `includeVersions​(boolean includeVersions)` |
    `ExportNodesParams.Builder` | `nodeExportListener​(NodeExportListener nodeExportListener)` |
    `ExportNodesParams.Builder` | `rootDirectory​(String rootDirectory)` | Deprecated.
    `ExportNodesParams.Builder` | `sourceNodePath​(NodePath sourceNodePath)` |
    `ExportNodesParams.Builder` | `targetDirectory​(String targetDirectory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### rootDirectory

          @Deprecated
          public ExportNodesParams.Builder rootDirectory​(String rootDirectory)

      Deprecated.

    - #### targetDirectory

          public ExportNodesParams.Builder targetDirectory​(String targetDirectory)

    - #### exportName

          public ExportNodesParams.Builder exportName​(String exportName)

    - #### sourceNodePath

          public ExportNodesParams.Builder sourceNodePath​(NodePath sourceNodePath)

    - #### dryRun

          public ExportNodesParams.Builder dryRun​(boolean dryRun)

    - #### includeNodeIds

          public ExportNodesParams.Builder includeNodeIds​(boolean includeNodeIds)

    - #### includeVersions

          public ExportNodesParams.Builder includeVersions​(boolean includeVersions)

    - #### nodeExportListener

          public ExportNodesParams.Builder nodeExportListener​(NodeExportListener nodeExportListener)

    - #### build

          public ExportNodesParams build()